OVH Community, votre nouvel espace communautaire.

Mysql 4


Anti-trust
22/02/2004, 05h27
korben écrivait :

Comment dois-je faire pour recompiler PHP maintenant ??
je répète cette question qui m'interresse également

Momo
21/02/2004, 19h10
Julien2222 écrivait :
dans le repertoire /var/lib/ tu dois avoir un fichier "raccourci" du nom de Mysql qui renvoie vers le repertoire /home/mysql et le fichier ns####.ovh.net.pid se trouve dans celui la.

As tu quand meme continuer l'install ? si c'est non fais le quand meme

J'ai vérifié la présence du fichier .pid mais il n'existe pas.
C'est bizarre!!?

J'ai continué l''intall mais je me retrouve encore avec la version 3.23.*

Rectification : J'ai continué l'install et ca a fonctionné. Merci c'est nickel.

Julien2222
21/02/2004, 18h31
Momo écrivait :

Mais lors de l'arrêt de mysql j'ai une erreur :
No mysqld pid file found. Looked for /var/lib/mysql/ns####.ovh.net.pid.

En regardant de plus près je n'ai effectivement pas de fichier pid dans ce répertoire?!

Quelqu'un aurait une solution à mon problème ?

PS: Je suis un débutant [/B]
dans le repertoire /var/lib/ tu dois avoir un fichier "raccourci" du nom de Mysql qui renvoie vers le repertoire /home/mysql et le fichier ns####.ovh.net.pid se trouve dans celui la.

As tu quand meme continuer l'install ? si c'est non fais le quand meme

korben
21/02/2004, 17h09
Salut à tous et merci pour les infos !
L'installation de MySQL 4 est OK.
Comment dois-je faire pour recompiler PHP maintenant ??

Momo
21/02/2004, 15h59
Bonjour Julien,

J'ai suivi ton How TO pour la mise à jour de mysql.

Mais lors de l'arrêt de mysql j'ai une erreur :
No mysqld pid file found. Looked for /var/lib/mysql/ns####.ovh.net.pid.

En regardant de plus près je n'ai effectivement pas de fichier pid dans ce répertoire?!

Quelqu'un aurait une solution à mon problème ?

PS: Je suis un débutant

Julien2222
20/02/2004, 23h23
Ok merchi ça marche maintenant

Niko8181 >> L'installation est simple j'en ai fait un petit guide ici : http://forum.ovh.com/showthread.php?s=&threadid=531

Fraser
20/02/2004, 17h14
Tu redemarrerais le serveur sql ce serait mieux !
De même, mysql vient en rpm sur les sd, et s'il est recompilé, il faut verifier que les emplacements soient les mêmes :
which mysqld_safe

Le plus simple étant de supprimer le rpm de mysql 3 (dépendances ? peut être)
Sinon faut s'assurer que le /etc/init.d/mysql lance bien la bonne version.

Aussi penser à recompiler PHP ! Les interfaces ont changées mais php reste avec unaccès basé sur les headers 3.23 (et donc retourne 3.23 en phpinfo)

Julien2222
20/02/2004, 16h13
Je pose la meme question


ou plutot quelle procedure a suivre car pour mapart j'ai fais cette methode : http://www.at-infor.com/fr/docs/faqs...x.php?faqid=81

Tout semble correctement ce passer mais apres verification je suis tjs en 3.2 si qq. pouvait nous aider, merci

niko8181
20/02/2004, 15h35
bonjour nous avons un serveur dédié avec un serveur MySQL en version 3.23 évidemment.

savez vous si c possible et pas trop risqué pour passer à la version 4 ? nous avons besoin de faire des requetes avec des UNION.